<?
@session_start();
include('../connect/connect.php');
include('../lib/lib.php');

$id=intval($_REQUEST['id']);

$m=mysql_query("SELECT * FROM zhaloba WHERE id='".$id."'");
$nm=mysql_num_rows($m);
if($nm)
$urr = '<font color=green>Жалоба на это объявление уже поступала</font>';
else
	{
	if($_POST['Submit'])
		{
		if(!$_SESSION['ID_Glob'] && !$_SESSION['ID_P'])
			{
			$cap_a = trim($_POST['cap']);
			if(!$cap_a)
			$err .= 'Не указан защитный код<br>';
			else
				{
				if($_SESSION['real_code'] != $cap_a)
				$err .= 'Неверно указан защитный код<br>';
				else
					{
					$cap_a = number_format($cap_a,0,"",",");
					$cap_b = $_POST['ip_address'];
					if($cap_a!=$cap_b) $err .= 'Неверно указан защитный код<br>';
					}
				}
			if(isset($_SESSION['real_code'])) unset($_SESSION['real_code']);
			}
	
		$id_prichina=intval($_POST['id_prichina']);
		if(!$id_prichina)
		$err .= "Не указана причина<br>";
	
		$obosn1=_pre2($_POST['obosn']);
		$obosn=$obosn1[1];
		if(!$obosn)
		$err .= "Не указано обоснование<br>";
	
		$obosn=obrez($obosn, 500);

	
		if($_SESSION['ID_P'])
		$id_akk=$_SESSION['ID_P'][1];
		else
		$id_akk=0;
	
		if(!$err)
			{
			mysql_query("INSERT INTO zhaloba (
			id_prichina,
			obosn,
			data,
			id,
			ip,
			id_akk
			) VALUES (
			'".$id_prichina."',
			'".$obosn."',
			NOW(),
			'".$id."',
			'".$_SERVER['REMOTE_ADDR']."',
			'".$id_akk."'
			)");
		
			$otpr='<font color=green>Ваше сообщение успешно отправлено</font>';
			}
		}
	}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml2/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="robots" content="nofollow" />
<link rel="stylesheet" type="text/css" href="../style/style.css" />
<script type="text/javascript" charset="utf-8" src="../js/jquery-1.4.4.min.js"></script>
</head>
<BODY>
<table width=100%>
	<tr height=64>
		<td width=64>
		<img border=0 src="../icon/8.gif">
		<td align=center><h3>Жалоба на объявление</h3>
	<tr>
	<td colspan=2>
	<?
	if($err)
	echo '<p><font color=red>'.$err.'</font></p>';
	
	if(!$otpr && !$urr)
	{
	?>
	<form name="form1" method="post" action="">
	<font size=+1 color=red>*</font>
	<select style="size:200px" name="id_prichina">
	<option value="0">Выберите причину</option>
	<?
	$r=mysql_query("SELECT * FROM prichina ORDER BY num");
	while($rr=mysql_fetch_array($r))
		{
		?>
		<option value="<?=$rr['id_prichina']?>" <? if($id_prichina==$rr['id_prichina']) echo 'selected'; ?>><?=$rr['prichina']?></option>
		<?
		}
	?>
	</select>
	<br>
	<font size=+1 color=red>*</font> Обоснование (не более 500 знаков)
	<br>
	<textarea name="obosn" cols="50" rows="9"><?=$obosn?></textarea>
	<br>
	<? 
	if(!$_SESSION['ID_Glob'] && !$_SESSION['ID_P'])
		{
		//$font_name[] = array(18, "../blok/new1.ttf"); 
		$font_name[] = array(18, "../blok/new2.ttf"); 
		//$font_name[] = array(20, "../blok/new3.ttf"); 
		//$font_name[] = array(22, "../blok/new4.ttf"); 
		shuffle($font_name);
	
		$m_rand1=1005;
		$m_rand2=9991;
		$cap_img='../tmp_capcha/'.ip2long($_SERVER['REMOTE_ADDR']).'.jpg';
		@mt_srand(time());
		
			$cap_int=mt_rand($m_rand1,$m_rand2);
			$_SESSION['real_code']=$cap_int;
			if($typ_captcha && function_exists('cifr'))
			cifr($cap_int, $cap_img);
			else
				{
				$cap_str=code($cap_int);
				$im=imagecreate(470, 26);
				imagecolorallocate($im,255,255,255);
				$color=imagecolorallocate($im,100,100,100);
				@imagettftext($im, $font_name[0][0], 0, 0, 19, $color, $font_name[0][1], $cap_str);
				imagejpeg($im, $cap_img);
				imagedestroy($im);
				}
		
		echo '<img border="0" src="'.$cap_img.'?id='.time().'">';
		?>
		<br>
		<font size=+1 color=red>*</font> Введите защитный код цифрами 
		<input type="text" size=10 name="cap" id="cap" value="">
		<?
		}
		?>
	<input type="hidden" name="ip_address" id="ip_address" value="<?=$_SERVER['REMOTE_ADDR']?>">
	<br>
	<input class="submit" type="submit" name="Submit" value="Отправить" >
	</form>
	<?
	}
	elseif ($otpr) echo '<p>'.$otpr.'</p>';
	elseif ($urr) echo '<p>'.$urr.'</p>';
	?>
</table>
<script type="text/javascript" charset="utf-8" src="../js/tb.js"></script>
</body>
</html>